Subject: Re: bug#69431: 30.0.50; Strange fontificaion behavior

From: Björn Bidar <[email-masked]>
Date: Sun, 07 Apr 2024 22:09:40 +0300

Eli Zaretskii <[email-masked]> writes:

>> From: Björn Bidar <[email-masked]>
>> Cc: [email-masked],  [email-masked],  [email-masked],
>>   [email-masked],  [email-masked]
>> Date: Sun, 07 Apr 2024 21:02:08 +0300
>>
>> > Both backtraces are almost identical, and in both the problem seems to
>> > be triggered by loading and enabling a theme.  So I don't think I
>> > understand what you say here about "enough packages" -- I don't
>> > suppose all of the packages you load are themes, are they?  IOW, can
>> > you show a backtrace from a crash that is not caused by loading a
>> > theme?  E.g., what happens if you remove all theme loading and related
>> > stuff from your init files?
>>
>> What do you mean by related?
>> If I don't load a theme Emacs doesn't crash but if I start Emacs with -Q
>> and load the theme it's not enough to crash Emacs that's why I mean by
>> enough packages essentially.
>>
>> Eventually I isolated the exact problem what caused the bug:
>> 1. (setq max-lisp-eval-depth 32768)
>> 2. load-theme modus-vivendi (any modus theme works as a trigger)
>
> Are you saying that an init file with only those two lines causes the
> crash on your system?

Yes exactly

>> With the Emacs ref c59c8db98a1d031a20ec7850978653657e394baa
>> this Emacs doesn't crash with the same settings.
>
> OK, but lots of water under the bridge since then...

Of course but it's the last ref I know the bug does not trigger with
these settings.